<form [formGroup]="addressForm" (ngSubmit)="onSubmit()" class="pb-5">
  <div class="form-group">
    <label for="name">Name</label>
    <input
      type="text"
      class="form-control"
      id="name"
      name="name"
      formControlName="name"
      [ngClass]="{
        'is-invalid':
          addressForm.get('name').invalid && addressForm.get('name').touched
      }"
      placeholder="Name"
    />
  </div>
  <div class="form-group">
    <label for="address">Address</label>
    <textarea
      class="form-control"
      id="address"
      name="address"
      formControlName="address"
      [ngClass]="{
        'is-invalid':
          addressForm.get('address').invalid &&
          addressForm.get('address').touched
      }"
      rows="4"
      placeholder="Address"
    ></textarea>
  </div>
  <div style="height: 300px;" class="mb-3" *ngIf="!isFetching">
    <app-address-location
      [coordinate]="
        editMode
          ? [address.latitude, address.longiture]
          : [35.720179, 51.389634]
      "
      [addMode]="true"
      (setMarker)="onSetMarker($event)"
    ></app-address-location>
  </div>
  <button
    class="btn btn-success w-100 mt-3"
    type="submit"
    [disabled]="addressForm.invalid"
  >
    {{ editMode ? "Save" : "Add" }}
  </button>
</form>
